> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Audience Member

> This endpoint updates the details of an existing audience member. Fields that can be updated include `name` and `status`. The `x-store-id` header is utilized for authentication purposes.



## OpenAPI

````yaml /api-reference/growth-api.json patch /audience/{id}
openapi: 3.0.0
info:
  title: Growth API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
paths:
  /audience/{id}:
    patch:
      tags:
        - Audience
      summary: Update Audience Member
      description: >-
        This endpoint updates the details of an existing audience member. Fields
        that can be updated include `name` and `status`. The `x-store-id` header
        is utilized for authentication purposes.
      parameters:
        - name: id
          in: path
          required: true
          description: ID of the audience member.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAudienceMemberRequest'
      responses:
        '200':
          description: Audience member updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudienceMember'
      security:
        - storeIdHeader: []
components:
  schemas:
    UpdateAudienceMemberRequest:
      type: object
      properties:
        name:
          type: string
        status:
          type: string
      required:
        - status
    AudienceMember:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
        status:
          type: string
        total_orders:
          type: integer
        lifetime_revenue:
          type: number
        created_at:
          type: string
          format: date-time
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````